
# Pyng

Network subnet live scanner and port scanner for URL or IP.

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/) [![GPLv3 License](https://img.shields.io/badge/License-GPL%20v3-yellow.svg)](https://opensource.org/licenses/) [![AGPL License](https://img.shields.io/badge/license-AGPL-blue.svg)](http://www.gnu.org/licenses/agpl-3.0)

## Installation

System require only to have a python3 and pip3 package

```bash
  apt install git python3.9 python3-pip iperf3

```

Install the python3 packages

```bash
  pip3 install requests scapy simplepam flask_fontawesome flask_navigation flask_socketio iperf3
```

You can also use the requirements file in this git repo.

```bash
  pip3 install -r requirements.txt
```

Then pull the git poject.

## Run

Go to the **Pyng** folder and run :

```bash
  python3 app.py
```


## Optimizations

!! Take care that by default, to be use in production, the parameter  allow_unsafe_werkzeug is set to True !!

You can change the used port (by default 5006) in this last line in the python app.py

```python
  if __name__ == '__main__':
    socketio.run(app, host='0.0.0.0', port='5006',  allow_unsafe_werkzeug=True)
```

You can also run it using systemctl, just create a **pyng.service** in /etc/systemd/system/ with these infos :

```bash
  [Unit]
  Description= Pyng service
  After=multi-user.target
  [Service]
  Type=simple
  Restart=always
  ExecStart=/usr/bin/python3 </path/to/Pyng/app.py>
  [Install]
  WantedBy=multi-user.target
```

Then reload systemctl, enable it (if you want it on server start) and start it:

```bash
  systemctl daemon-reload
  systemctl enable pyng.service
  systemctl start pyng.service
```

